import { ToastAndroid, } from 'react-native';
import * as Updates from 'expo-updates';

export function UpdateAsync(){
    Updates.checkForUpdateAsync().then(update=>{
        if (update.isAvailable) {
            ToastAndroid.showWithGravityAndOffset('アプリのデータを更新しています。',ToastAndroid.LONG,ToastAndroid.BOTTOM,25,50,);
            Updates.fetchUpdateAsync().then(()=>Updates.reloadAsync());
        } 
    }).catch(e=>ToastAndroid.showWithGravityAndOffset(e.toString(),ToastAndroid.LONG,ToastAndroid.BOTTOM,25,50,))
}